CUTLASS: cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false > Struct Template Reference

RowArrangement in which each warp's access is a 1D tiled arrangement.

`#include <output_tile_thread_map.h>`

## Static Public Attributes
static int const | kWarpSize = 32
static int const | kElementsPerAccess = ElementsPerAccess
static int const | kElementSize = ElementSize
static int const | kIterationsRow = 1
static int const | kDeltaRow = 1
static int const | kIterationsColumn = Shape::kColumn / kElementsPerAccess / kWarpSize
static int const | kDeltaColumn = kWarpSize * kElementsPerAccess
static int const | kAccessWidth = kWarpSize
static int const | kAccessRows = 1
static int const | kWarpPartitionsRow = 1
static int const | kWarpPartitionsColumn = WarpsRemaining

## Member Data Documentation

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kAccessRows = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kAccessWidth = kWarpSize
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kDeltaColumn = kWarpSize * kElementsPerAccess
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kDeltaRow = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kElementSize = ElementSize
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kElementsPerAccess = ElementsPerAccess
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kIterationsColumn = Shape::kColumn / kElementsPerAccess / kWarpSize
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kIterationsRow = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kWarpPartitionsColumn = WarpsRemaining
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kWarpPartitionsRow = 1
| static

template<typename Shape , int WarpsRemaining, int ElementsPerAccess, int ElementSize>

int const cutlass::epilogue::threadblock::detail::RowArrangement< Shape, WarpsRemaining, ElementsPerAccess, ElementSize, false >::kWarpSize = 32
| static

The documentation for this struct was generated from the following file:

- output_tile_thread_map.h